# _List_iterator Struct Template Reference

List of all members.

### template<typename _Tp>
struct std::_List_iterator< _Tp >

## Public Types

- typedef _List_node< _Tp > _Node
- typedef _List_iterator< _Tp > _Self
- typedef ptrdiff_t difference_type
- typedef bidirectional_iterator_tag iterator_category
- typedef _Tp * pointer
- typedef _Tp & reference
- typedef _Tp value_type

## Public Member Functions

- _List_iterator (_List_node_base *__x)
- reference operator * () const
- bool operator!= (const _Self &__x) const
- _Self operator++ (int)
- _Self & operator++ ()
- _Self operator-- (int)
- _Self & operator-- ()
- pointer operator-> () const
- bool operator== (const _Self &__x) const

## Public Attributes

- _List_node_base * _M_node

The documentation for this struct was generated from the following file:

- stl_list.h